Множественные уязвимости в OSClass

Дата публикации:
06.02.2012
Дата изменения:
06.02.2012
Всего просмотров:
3611
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:P/A:N/E:P/RL:O/RC:C) = Base:5.8/Temporal:4.5
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:P/RL:O/RC:C) = Base:5/Temporal:3.9
CVE ID:
CVE-2012-0974
CVE-2012-0973
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OSClass 2.x
Уязвимые версии: OSClass 2.3.4.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "sCity", "sPattern", "sPriceMax" и "sPriceMin" в сценарии index.php (когда параметр "page" равен "search"), а также в параметре "id" в сценарии oc-admin/index.php (когда параметр "page" равен "ajax", а параметр "action" равен "enable_category") в функции "getParam()" в oc-includes/osclass/core/Params.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Пример:

http://[host]/index.php?page=search&sCity=%22%3E%3Cscript%3Ealert%28document.cookie%29;%3C/scrip t%3E
http://[host]/index.php?page=search&sPattern=%3C/title%3E%3Cscript%3Ealert%28document.cookie%29; %3C/script%3E
http://[host]/index.php?page=search&sPriceMax=%22%3E%3Cscript%3Ealert%28document.cookie%29;%3C/s cript%3E
http://[host]/index.php?page=search&sPriceMin=%22%3E%3Cscript%3Ealert%28document.cookie%29;%3C/s cript%3E

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "sCategory" в сценарии index.php (когда параметр "page" равен "search") в функции "osc_search_category_id()" в oc-includes/osclass/helpers/hSearch.php, а также в функции "findBySlug()" в oc-includes/osclass/model/Category.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Для успешной эксплуатации уязвимости необходимо, чтобы параметр "magic_quotes_gpc" был отключен.

Пример:

http://[host]/index.php?page=search&sCategory[]=0%27%20OR%20%28SELECT%20MID%28version%28%29,1,1% 29%29=5%29%20d%20--%202

URL производителя: http://osclass.org/

Решение: Установите последнюю версию 2.3.5 с сайта производителя.

Ссылки: https://www.htbridge.ch/advisory/multiple_vulnerabilities_in_osclass.html
http://osclass.org/2012/01/16/osclass-2-3-5/
http://www.codseq.it/advisories/multiple_vulnerabilities_in_osclass

или введите имя

CAPTCHA